MMEX Desktop v1.3.4.rc.2 is ready https://sourceforge.net/projects/moneym ... 1.3.4-rc.2

CMake

Almost any Unix workstation with GTK+ 2.0 and above.
Post Reply
Nikolay
MMEX Developer
Posts: 1173
Joined: Sat Dec 06, 2008 2:27 pm
Are you a spam bot?: No
Location: Sankt-Petersburg, Russia

CMake

Post by Nikolay »


gadget
New MMEX User
Posts: 2
Joined: Sat Apr 22, 2017 8:35 pm
Are you a spam bot?: No

Re: CMake

Post by gadget »

I followed the instructions for Ubuntu 14.04:
sudo apt-get install -y \
build-essential cmake git libwxbase3.1-dev libwxgtk3.1-dev libwxgtk-webview3.1-dev
without error, however:
Unpacking mmex (1.3.3) ...
dpkg: dependency problems prevent configuration of mmex:
mmex depends on libwxgtk3.0-0v5 (>= 3.0.0) | libwxgtk3.0-0 (>= 3.0.0); however:
Package libwxgtk3.0-0v5 is not installed.
Package libwxgtk3.0-0 is not installed.
mmex depends on libwxgtk-webview3.0-0v5 (>= 3.0.0) | libwxgtk-webview3.0-0 (>= 3.0.0); however:
Package libwxgtk-webview3.0-0v5 is not installed.
Package libwxgtk-webview3.0-0 is not installed.

dpkg: error processing package mmex (--install):
dependency problems - leaving unconfigured

gadget
New MMEX User
Posts: 2
Joined: Sat Apr 22, 2017 8:35 pm
Are you a spam bot?: No

Re: CMake

Post by gadget »

Instructions for Ubuntu 16.04 worked perfectly, Thanks.

This was long awaited and greatly appreciated.

Nikolay
MMEX Developer
Posts: 1173
Joined: Sat Dec 06, 2008 2:27 pm
Are you a spam bot?: No
Location: Sankt-Petersburg, Russia

Re: CMake

Post by Nikolay »


jjd
New MMEX User
Posts: 5
Joined: Fri Mar 11, 2016 3:40 pm
Are you a spam bot?: No

Re: CMake

Post by jjd »

Followed the instructions for Fedora 25. Everything went well until the last command to install the created package. It fails with:

wxWidgets-3_0-devel is needed by mmex-1.3.3-1.x86_64

I have tried to locate this but without success. Can anyone help, please.  Thanks.

jjd

Nano
New MMEX User
Posts: 1
Joined: Fri Apr 28, 2017 8:43 pm
Are you a spam bot?: No

Re: CMake

Post by Nano »

Thanks Nikolay, I have been using mmex 0.9.9 until now, with this instructions I have compiled the binary and works. Although the rpm file was not created, it ends the compilation with an error. Thanks again.

Nano

Chacsam
New MMEX User
Posts: 3
Joined: Sun Sep 07, 2014 5:50 am
Are you a spam bot?: No

Re: CMake

Post by Chacsam »

Hi,

I cannot install mmex on a Fedora 25 station.
Tried different methods, none working:

1) through https://github.com/moneymanagerex/money ... .Fedora.md
at compile level I receive error on

Code: Select all

cmake -DCMAKE_BUILD_TYPE=Release ../../
 => bash: cmake: command unkown (free translation to english)

2) through https://packagecloud.io/moneymanagerex/ ... ex/install
Setup repository ok
but

Code: Select all

sudo yum install mmex
gives
Redirecting to '/usr/bin/dnf install mmex' (see 'man yum2dnf')
moneymanagerex_moneymanagerex                   207  B/s | 296  B     00:01    
moneymanagerex_moneymanagerex-source            232  B/s | 296  B     00:01    
no package mmex available.  
 (free translation to english)

Nikolay
MMEX Developer
Posts: 1173
Joined: Sat Dec 06, 2008 2:27 pm
Are you a spam bot?: No
Location: Sankt-Petersburg, Russia

Re: CMake

Post by Nikolay »

sudo yum install cmake

Chacsam
New MMEX User
Posts: 3
Joined: Sun Sep 07, 2014 5:50 am
Are you a spam bot?: No

Re: CMake

Post by Chacsam »

Nikolay wrote:sudo yum install cmake
Does it show that I am a newbie ? ;-)
Thanks

Post Reply